# io.h File Reference

Go to the source code of this file.

## Functions

unsigned char | inportByte (unsigned int)
unsigned short | inportWord (unsigned int)
unsigned long | inportDWord (unsigned int)
void | outportByte (unsigned int, unsigned char)
void | outportByteP (unsigned int port, unsigned char value)
void | outportWord (unsigned int, unsigned short)
void | outportDWord (unsigned int port, unsigned long value)

## Function Documentation

unsigned char inportByte | ( | unsigned | int | ) | `[inline]`

unsigned long inportDWord | ( | unsigned | int | ) | `[inline]`

unsigned short inportWord | ( | unsigned | int | ) | `[inline]`

void outportByte | ( | unsigned | int,
|  | unsigned | char
| ) | `[inline]`

void outportByteP | ( | unsigned int | port,
|  | unsigned char | value
| ) | `[inline]`

void outportDWord | ( | unsigned int | port,
|  | unsigned long | value
| ) | `[inline]`

void outportWord | ( | unsigned | int,
|  | unsigned | short
| ) | `[inline]`